# WOK
TKWOK
MS

# MS_HSequenceOfInstClass Class Reference

`#include <MS_HSequenceOfInstClass.hxx>`

## Public Member Functions

| MS_HSequenceOfInstClass ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(MS_InstClass)&anItem)
Standard_EXPORT void | Append (const Handle(MS_HSequenceOfInstClass)&aSequence)
Standard_EXPORT void | Prepend (const Handle(MS_InstClass)&anItem)
Standard_EXPORT void | Prepend (const Handle(MS_HSequenceOfInstClass)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_InstClass)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(MS_HSequenceOfInstClass)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_InstClass)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(MS_HSequenceOfInstClass)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_MS_HSequenceOfInstClass | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(MS_InstClass)&anItem)
Standard_EXPORT const Handle_MS_InstClass & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_MS_InstClass & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const MS_SequenceOfInstClass & | Sequence () const
MS_SequenceOfInstClass & | ChangeSequence ()
Standard_EXPORT Handle_MS_HSequenceOfInstClass | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

MS_SequenceOfInstClass | mySequence

## Constructor & Destructor Documentation

MS_HSequenceOfInstClass::MS_HSequenceOfInstClass | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void MS_HSequenceOfInstClass::Append | ( | const Handle(MS_HSequenceOfInstClass)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfInstClass::Append | ( | const Handle(MS_InstClass)& | anItem | ) |

MS_SequenceOfInstClass& MS_HSequenceOfInstClass::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_MS_InstClass& MS_HSequenceOfInstClass::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfInstClass::Clear | ( |  | ) |

Standard_EXPORT void MS_HSequenceOfInstClass::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const MS_HSequenceOfInstClass::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void MS_HSequenceOfInstClass::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfInstClass)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfInstClass::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_InstClass)& | anItem
| ) |

Standard_EXPORT void MS_HSequenceOfInstClass::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_HSequenceOfInstClass)& | aSequence
| ) |

Standard_EXPORT void MS_HSequenceOfInstClass::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_InstClass)& | anItem
| ) |

Standard_Boolean MS_HSequenceOfInstClass::IsEmpty | ( |  | ) | const

Standard_Integer MS_HSequenceOfInstClass::Length | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfInstClass::Prepend | ( | const Handle(MS_HSequenceOfInstClass)& | aSequence | ) |

Standard_EXPORT void MS_HSequenceOfInstClass::Prepend | ( | const Handle(MS_InstClass)& | anItem | ) |

Standard_EXPORT void MS_HSequenceOfInstClass::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void MS_HSequenceOfInstClass::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void MS_HSequenceOfInstClass::Reverse | ( |  | ) |

const MS_SequenceOfInstClass& MS_HSequenceOfInstClass::Sequence | ( |  | ) | const

Standard_EXPORT void MS_HSequenceOfInstClass::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(MS_InstClass)& | anItem
| ) |

Standard_EXPORT Handle_MS_HSequenceOfInstClass MS_HSequenceOfInstClass::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_MS_HSequenceOfInstClass MS_HSequenceOfInstClass::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_MS_InstClass& MS_HSequenceOfInstClass::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

MS_SequenceOfInstClass MS_HSequenceOfInstClass::mySequence `[private]`

The documentation for this class was generated from the following file:

- MS_HSequenceOfInstClass.hxx